ur_rna.StructureEditor.models

## Class Motif

- java.lang.Object
- - ur_rna.StructureEditor.models.Motif

-     public abstract class Motif
      extends java.lang.Object

  Represents a structural element (motif) of an RNA structure -- e.g. a base, pair, bulge, loop, helix, hairpin, domain, etc.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Motif.Branch` Represents a complete helix (the "base" of the Branch) along with all helix and loop regions on one side of it.
    `static class` | `Motif.Domain` Represents a segment of an RNA strand that extends from a nucleotide to its pair.
    `static class` | `Motif.Helix` A helix represents a series of adjacent nucleotides which are all paired to a another series of adjacent nucleotides on the same RNA strand or a different RNA strand.
    `private static class` | `Motif.IntervalStack`
    `static class` | `Motif.Loop` A Loop represents a series of adjacent unpaired nucleotides.
    `static class` | `Motif.MultiLoop`
    `static class` | `Motif.Segment` Represents a contiguous section of an RNA strand.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Motif()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<Bond>` | `findNonCrossingBonds(java.util.Collection<Bond> bonds)`
    `static java.util.Set<Bond>` | `findNonCrossingBonds(java.util.Collection<Bond> bonds, java.util.Collection<Bond> crossing)`
    `static java.util.Set<Bond>` | `findNonCrossingBonds(RnaScene scene)`
    `static java.util.Set<Bond>` | `findPseudoKnots(RnaScene scene)`
    `static boolean` | `hasPseudoKnots(RnaScene scene, boolean ignoreMarkedPseudoBonds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Motif

          public Motif()

  - ### Method Detail

    - #### findNonCrossingBonds

          public static java.util.Set<Bond> findNonCrossingBonds(java.util.Collection<Bond> bonds)

    - #### findNonCrossingBonds

          public static java.util.Set<Bond> findNonCrossingBonds(java.util.Collection<Bond> bonds,
                                                                 java.util.Collection<Bond> crossing)

    - #### findNonCrossingBonds

          public static java.util.Set<Bond> findNonCrossingBonds(RnaScene scene)

    - #### findPseudoKnots

          public static java.util.Set<Bond> findPseudoKnots(RnaScene scene)

    - #### hasPseudoKnots

          public static boolean hasPseudoKnots(RnaScene scene,
                                               boolean ignoreMarkedPseudoBonds)